<?php
// -----------------------------------------------------------
// GChat Video Chat - http://www.gchat.com/video-chat.html
// Copyright (C) 2013 GChat Limited. All rights reserved.
// GChat Video Chat is not a free software, see LICENSE file
// -----------------------------------------------------------
 
defined('VISICHAT_START') or die("Access Denied");

require_once "IntegrationModule.class.php";

/*
 * Gchat Video Chat Sha2 integration class
 *
 */
 class Sha2 extends IntegrationModule
 {
	 
	 private $allowRegistration = true;
	 
	 /**
	* Sha2Integration object constructor
	*
	* @access	public
	*/	
	function __construct()
	{
	}
	
	/**
	* Indicates whether when this integration is used, can use register or not.
	*
	* @return boolean
	*/
	public function allowRegistration()
	{
		return $this->allowRegistration;
	}
	
	/**
	* Get the module name
	*
	* @return string
	*/
	public function getName()
	{
		return "Sha2";
	}
	
	/**
	* Get the module label
	*
	* @return string
	*/
	public function getLabel()
	{
		return "SHA-2 Password Encryption";
	}
	
	public function getCurrentUserId()
	{
		return "";
	}
	
	public function getPicture( $userId )
	{
		return "";
	}
	
	public function getBirthday( $userId )
	{
		return "";
	}
	
	public function getGender( $userId )
	{
		return "";
	}
	
	/**
	* Encrypt the user password
	*
	* @return string	encrypted password
	*/
	public function encryptPassword ( $password , $userId = "" )
	{
		return sha2 ( $password );
	}
 }
 
 
 ?>